Updates the type of work for multiple tasks.

POSThttps://api.awork.com/api/v1/tasks/changetypeofwork
POST https://api.awork.com/api/v1/tasks/changetypeofwork

Updates the type of work for multiple tasks. The selected work type is applied to the listed tasks.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The tasks Change Types form payload.

application/json

typeOfWorkIdstringRequired
format: uuid

The id of the task type.

changeTimeEntriesbooleanOptional

Whether the related time entries should be moved to the same type of work.

taskIdsarray of stringRequired

The list of task ids.

Responses

204 No Content
207 Multi-Status
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation